% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/md_figure.R
\name{md_figure}
\alias{md_figure}
\title{Generate a figure and generate the markdown to include the figure}
\usage{
md_figure(
  expr,
  name,
  caption = "",
  id = "",
  dir = file.path(Sys.getenv("MDOUTDIR", "."), "figures"),
  device = c("png", "pdf"),
  as_character = FALSE,
  ...
)
}
\arguments{
\item{expr}{the expressions to evaluate. Will generally contain plotting
commands. The expressions are evaluated in the global environment.}

\item{name}{the name of the figure.}

\item{caption}{text of the caption. When omitted no caption is added to the
figure.}

\item{id}{id of the figure. When omitted or equal to NULL or an empry
character, no id is added to the figure.}

\item{dir}{name of the directory in which to store the file.}

\item{device}{the graphics device to use for creating the image.}

\item{as_character}{return the figure as a character vector. If \code{FALSE}
the figure will be written to the standard output.}

\item{...}{passed on to the graphics device.}
}
\value{
Then \code{as_character = FALSE} a character vector with the markdown needed
to include the generated figure in a markdown file is returned. Otherwise,
nothing is returned; the markdown is then written to the console.
}
\description{
Will evaluate the expressions in \code{expr} and capture the output on the
given plotting device in the given file. It will then generate the markdown
needed to include that figure in a markdown document.
}
\details{
The image is stored in the file \code{dir/name.device}.
}
